package com.ntut.csie.game.core;


import java.io.IOException;

import com.ntut.csie.game.GameView;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;

public class MovingBitmap {
	private Bitmap mBitmap;
	private int mX;
	private int mY;
	
	public MovingBitmap() {}
	
	public MovingBitmap(int resId) {
		SetResource(resId);
	}
	
	public MovingBitmap(String fileName) {
		SetResource(fileName);
	}
	
	public void SetResource(int resId) {
		mBitmap = BitmapFactory.decodeResource(GameView.mContext.getResources(), resId);
	}
	
	public void SetResource(String fileName) {
		try {
			mBitmap = BitmapFactory.decodeStream(GameView.mContext.getAssets().open(fileName));
		} catch (IOException e) {}
	}
	
	public void SetXY(int x, int y) {
		mX = x;
		mY = y;
	}
	
	// Resize the bitmap with given width and height
	public void Resize(int width, int height) {
		mBitmap = Bitmap.createScaledBitmap(mBitmap, width, height, true);
	}
	
	// Rotate the bitmap with specific degrees
	public void SetTransform() {
		
	}
	
	public void OnShow() {
		GameView.mCanvas.drawBitmap(mBitmap, mX, mY, null);
	}
	
	public int GetX() {
		return mX;
	}
	
	public int GetY() {
		return mY;
	}
	
	public int GetWidth() {
		return mBitmap.getWidth();
	}
	
	public int GetHeight() {
		return mBitmap.getHeight();
	}
	
	public Bitmap GetImage() {
		return mBitmap;
	}
	
	public void Release() {
		mBitmap.recycle();
		mBitmap = null;
	}
}
